clear all
set more off

global svfoldp "ADDPATH\"
global svfoldpOUT "ADDPATH\outregs\"
global svfoldpDO "ADDPATH\do_files\"
global svfoldpWF "ADDPATH\workfiles\"
global svfoldpFIG "ADDPATH\figures\"

cd "${svfoldpWF}"

use step003_merged_data, clear

cd "${svfoldpOUT}"



****===========================================================================
**** 				basic moments
****===========================================================================

tempname 1
postfile `1'  str40 smpl ///
	str12 pre_N ///
	str12 pre_mean ///
	str12 pre_median ///	
	str12 pre_sd ///
	using "Table01.dta", replace every(1)
	
sum BQ3
local rmax=r(max)
forvalues i=1(1)`rmax'{
		gen _BQ3_`i'=(BQ3==`i')
}	

foreach var in egdp_mean_pt egdp_var_pt epi_mean_pt epi_var_pt esales_mean_pt esales_var_pt {
	gen _`var'=`var' if treatmentN==1
}

foreach var in CQ9A CQ9B CQ9C CQ9D CQ10A CQ11 BQ14 {
	recode `var' 1=0 2=1	
}

gen  egdp_var_bt = egdp_std_bt^2
gen  epi_var_bt = epi_std_bt^2
gen  esales_var_bt = esales_std_bt^2


foreach var of varlist  male BQ1A BQ1B _BQ3_* Q3 Q2A utilization Q5 Q6 ///
		profit_slope Q9 BQ12 share_local_info BQ14 BQ11? ///
		CQ8A CQ8B CQ8C CQ8D ///
		 CQ9A CQ9B CQ9C CQ9D CQ10A CQ11  CQ12  CQ11B  ///		
		egdp_mean_bt egdp_var_bt epi_mean_bt epi_var_bt esales_mean_bt esales_var_bt ///
		_egdp_mean_pt _egdp_var_pt _epi_mean_pt _epi_var_pt _esales_mean_pt _esales_var_pt ///
		{

	
	sum `var' , d	
	local _mean=string(r(mean),"%3.2f")
	local _median=string(r(p50),"%3.2f")
	local _sd  =string(r(sd),"%3.2f")
	local _N=string(r(N),"%5.0f")
	
	post `1' ("`var'") 	("`_N'") ("`_mean'")  ("`_median'") ("`_sd'")  
					
					
}

postclose `1'


	
	