clear all
set more off

global svfoldp "ADDPATH\"
global svfoldpOUT "ADDPATH\outregs\"
global svfoldpDO "ADDPATH\do_files\"
global svfoldpWF "ADDPATH\workfiles\"
global svfoldpFIG "ADDPATH\figures\"

cd "${svfoldpWF}"

use step003_merged_data, clear

cd "${svfoldpOUT}"

gen D_decrease=(Q10A==1) if Q10A~=.
gen D_increase=(Q10A==2) if Q10A~=.

tempname 1
postfile `1'  str40 smpl ///
	str12 decrease ///
	str12 increase ///
	str12 R2 ///	
	str12 N ///
	str12 pval ///	
	using "Table07.dta", replace every(1)


foreach var of varlist Q10B-Q10P {
	gen _`var'=`var'-3 if `var'~=0
	reg _`var' D_decrease D_increase, robust noconst
	
	local c_increase=string(_b[D_increase],"%3.2f")
	local se_increase="("+string(_se[D_increase],"%3.2f")+")"
	
	local c_decrease=string(_b[D_decrease],"%3.2f")
	local se_decrease="("+string(_se[D_decrease],"%3.2f")+")"
	
	local _N1=string(e(N),"%3.0f")
	local _r2=string(e(r2),"%3.2f")
	
	*** test symmetry
	lincom D_decrease+D_increase
	
	local p_symm=string(r(p),"%3.2f")
	

	post `1' ("`var'") 	("`c_increase'")    ("`c_decrease'")   ("`_r2'")  ("`_N1'") ("`p_symm'")   
	post `1' (" ") 	    ("`se_increase'")   ("`se_decrease'")  (" ") (" ") (" ")   
					
					
}

postclose `1'
