clear all
set more off

global svfoldp "ADDPATH\"
global svfoldpOUT "ADDPATH\outregs\"
global svfoldpDO "ADDPATH\do_files\"
global svfoldpWF "ADDPATH\workfiles\"
global svfoldpFIG "ADDPATH\figures\"


cd "${svfoldpWF}"


use step003_merged_data, clear

foreach var in esales egdp epi {
	gen `var'_std_bt2=`var'_std_bt^2
	gen `var'_std_pt2=`var'_std_pt^2	
}




	
binscatter esales_std_bt2 egdp_std_bt2, ///
	nq(50) linetype(none) msymbol(oh) mcolor(black) ///
	graphregion(color(white)) bgcolor(white) ///	
	title("Panel A: GDP vs. firm-level uncertainty", size(small) color(black)) ///
	xtitle("GDP variance") ///
	ytitle("Sales variance") ///
	name(fig1A, replace)
	
	
binscatter esales_mean_bt egdp_mean_bt, ///
	nq(50) linetype(none) msymbol(oh) mcolor(black)  ///
	graphregion(color(white)) bgcolor(white) ///	
	title("Panel B: GDP vs. firm-level implied mean", size(small) color(black)) ///
	xtitle("GDP mean") ///
	ytitle("Sales mean") ///
	name(fig2, replace)	
	
	
binscatter epi_std_bt2 egdp_std_bt2, ///
	nq(50) linetype(none) msymbol(oh) mcolor(black)  ///
	graphregion(color(white)) bgcolor(white) ///	
	title("Panel C: GDP vs. inflation uncertainty", size(small) color(black)) ///
	xtitle("GDP variance") ///
	ytitle("Inflation variance") ///
	name(fig3A, replace)
	
	
binscatter epi_mean_bt egdp_mean_bt, ///
	nq(50) linetype(none) msymbol(oh) mcolor(black)  ///
	graphregion(color(white)) bgcolor(white) ///	
	title("Panel D: GDP vs. inflation implied mean", size(small) color(black)) ///
	xtitle("GDP mean") ///
	ytitle("Inflation mean") ///
	name(fig4, replace)	
	
		
**=========================================================
**			means vs standard deviations
**=========================================================
		
	
binscatter egdp_std_bt2 egdp_mean_bt, ///
	nq(50) linetype(none)  msymbol(oh) mcolor(black)  ///
	graphregion(color(white)) bgcolor(white) ///	
	title("Panel E: 1st vs 2nd moments (GDP)", size(small) color(black)) ///
	ytitle("variance (uncertainty)") ///
	xtitle("implied mean") ///
	name(fig11A, replace)
	
	
binscatter epi_std_bt2 epi_mean_bt, ///
	nq(50) linetype(none)  msymbol(oh) mcolor(black)  ///
	graphregion(color(white)) bgcolor(white) ///	
	title("Panel F: 1st vs 2nd moments (inflation)", size(small) color(black)) ///
	ytitle("variance (uncertainty)") ///
	xtitle("implied mean") ///
	name(fig12A, replace)
	
	
binscatter esales_std_bt2 esales_mean_bt, ///
	nq(50) linetype(none)  msymbol(oh) mcolor(black)  ///
	graphregion(color(white)) bgcolor(white) ///	
	title("Panel G:  1st vs 2nd moments (sales)", size(small) color(black)) ///
	ytitle("variance (uncertainty)") ///
	xtitle("implied mean") ///
	name(fig13A, replace)	
	
	
graph combine fig1A fig2 fig3A fig4 fig11A fig12A fig13A  ,  ///
		rows(4) graphregion(color(white)) imargin(tiny) ///
		name(fig15, replace) ///
		xsize(24) ysize(32)
		
cd "${svfoldpFIG}"
graph export figure01.eps, replace
graph export figure01.pdf, replace
graph export figure01.emf, replace
graph export figure01.tif, replace
