clear all
set more off

global svfoldp "ADDPATH\"
global svfoldpOUT "ADDPATH\outregs\"
global svfoldpDO "ADDPATH\do_files\"
global svfoldpWF "ADDPATH\workfiles\"
global svfoldpFIG "ADDPATH\figures\"

cd "${svfoldpWF}"

use step003_merged_data, clear


****============================================================================
***			quantitative vs. qualitative uncertainty
****============================================================================

label define lbl_CQ1 1 "Not uncertain at all (1.8%)" ///
					 2 "Not particularly uncertain (5.1%) " ///
					 3 "Somewhat uncertain (20.6%)" ///
					 4 "Quite uncertain (17.8%)" ///
					 5 "Extremely uncertain (54.6%)"
					 
label values CQ1 lbl_CQ1


	
graph bar (mean) egdp_var_pt epi_var_pt esales_var_pt if treatmentN==1, ///
	over(CQ1, label(angle(35) labsize(small))) ///
	graphregion(color(white)) bgcolor(white) ///
	bar(1, fcolor(white) lcolor(black)) bar(2, fcolor(gs10)  lcolor(gs10)  fintensity(100))  bar(3, fcolor(gs2)  lcolor(black) fintensity(100) ) ///
	ytitle("Mean uncertainty (variance)") ///
	intensity(30) ///
	legend(label(1 "GDP growth") label(2 "Inflation") label(3 "Sales growth") rows(3) ring(0) position(11)) ///
	name(fig2C_BW, replace)
	
cd "${svfoldpFIG}"
graph export figure02.eps, replace
graph export figure02.pdf, replace
graph export figure02.emf, replace
graph export figure02.tif, replace