clear all
set more off

global svfoldp "ADDPATH\"
global svfoldpOUT "ADDPATH\outregs\"
global svfoldpDO "ADDPATH\do_files\"
global svfoldpWF "ADDPATH\workfiles\"
global svfoldpFIG "ADDPATH\figures\"

cd "${svfoldpWF}"

use step003_merged_data, clear

foreach var in esales egdp epi {
	gen `var'_std_bt2=`var'_std_bt^2
	gen `var'_std_pt2=`var'_std_pt^2	
}

gen log_L=log(Q2A)


foreach var in CQ8A CQ8B CQ8C CQ8D {
	gen flag_`var'=(`var'~=0) if `var'~=.
	
	if "`var'"=="CQ8A" {
		local str0="Panel A: Prices"
		local str1= "probability of price changes"	
	}
	if "`var'"=="CQ8B" {
		local str0="Panel B: Employment"
		local str1= "probability of employment changes"	
		
	}
	if "`var'"=="CQ8C" {
		local str0="Panel C: Investment"
		local str1= "probability of investment"	
		
	} 
	if "`var'"=="CQ8D" {
		local str0="Panel D: Wages"
		local str1= "probability of wage changes"	
		
	}

	xi: binscatter flag_`var' egdp_std_bt2, ///
		nq(100)   msymbol(oh) mcolor(black) lcolors(black)  ///
		control(egdp_mean_bt  i.Industry male i.BQ3 BQ1A BQ1B log_age log_L Q5 Q6) ///
		graphregion(color(white)) bgcolor(white) ///	
		title(`str0', size(med)) ///
		ytitle("`str1'") ///
		xtitle("prior uncertainty") ///
		name(fig1_`var'_control, replace)
		
		
}


graph combine fig1_CQ8A_control fig1_CQ8B_control fig1_CQ8C_control fig1_CQ8D_control, ///
		graphregion(color(white))   ///	
		imargin(tiny) ///
		name(fig_control_all, replace)

cd "${svfoldpFIG}"
graph export figure03.eps, replace
graph export figure03.pdf, replace
graph export figure03.emf, replace
graph export figure03.tif, replace


