clear all
set more off

global svfoldp "ADDPATH\"
global svfoldpOUT "ADDPATH\outregs\"
global svfoldpDO "ADDPATH\do_files\"
global svfoldpWF "ADDPATH\workfiles\"
global svfoldpFIG "ADDPATH\figures\"

cd "${svfoldpWF}"

use step003_merged_data, clear

cd "${svfoldpOUT}"


forvalues i=2(1)4 {
	gen T`i'=(treatmentN==`i') if treatmentN~=.
}

gen log_L=log(Q2A)

local controls0 = " i.Industry male i.BQ3 BQ1A BQ1B log_age log_L Q5 Q6 "
 
***=============================================================================
***				flag for particiaption in the follow up 
***=============================================================================

gen flag0=(w2_Q2A~=.)

reg flag0 i.treatmentN, robust
local m1=1-F(e(df_m),e(df_r),e(F))
outreg2 using "AppendixTable01.dta", dta replace ctitle("no controls") dec(3) addstat("F-stat",e(F),"pval",`m1')

egen IndustryN=group(Industry)
reg flag0 i.treatmentN i.IndustryN male i.BQ3 BQ1A BQ1B log_age log_L Q5 Q6, robust
local m1=1-F(e(df_m),e(df_r),e(F))
outreg2 using "AppendixTable01.dta", dta append ctitle("controls") dec(3) addstat("F-stat",e(F),"pval",`m1')

gen esales_std_bt2=esales_std_bt^2
gen esales_std_pt2=esales_std_pt^2
gen epi_std_bt2=epi_std_bt^2

gen egdp_std_bt2=egdp_std_bt^2
gen egdp_std_pt2=egdp_std_pt^2

reg flag0 i.treatmentN i.IndustryN male i.BQ3 BQ1A BQ1B log_age log_L Q5 Q6 ///
	esales_mean_bt esales_std_bt2 epi_mean_bt epi_std_bt2 egdp_mean_bt egdp_std_bt2  , robust
local m1=1-F(e(df_m),e(df_r),e(F))
outreg2 using "AppendixTable01.dta", dta append ctitle("controls") dec(3) addstat("F-stat",e(F),"pval",`m1')


