clear all
set more off

global svfoldp "ADDPATH\"
global svfoldpOUT "ADDPATH\outregs\"
global svfoldpDO "ADDPATH\do_files\"
global svfoldpWF "ADDPATH\workfiles\"
global svfoldpFIG "ADDPATH\figures\"

cd "${svfoldpWF}"

use step003_merged_data, clear

cd "${svfoldpOUT}"


forvalues i=2(1)4 {
	gen T`i'=(treatmentN==`i') if treatmentN~=.
}

gen log_L=log(Q2A)

local controls0 = " i.Industry male i.BQ3 BQ1A BQ1B log_age log_L Q5 Q6 "
 
***=============================================================================
***				flag for particiaption in the follow up 
***=============================================================================

gen flag0=(w2_Q2A~=.)

foreach var in 1 2 3 4 {
	gen treatmentN`var'=treatmentN==`var'
}

egen IndustryN=group(Industry)
reg treatmentN1 i.IndustryN male i.BQ3 BQ1A BQ1B log_age log_L Q5 Q6, robust
local m1=1-F(e(df_m),e(df_r),e(F))
outreg2 using "AppendixTable02.dta", dta replace ctitle("control") dec(2) addstat("F-stat",e(F),"pval",`m1')

reg treatmentN2 i.IndustryN male i.BQ3 BQ1A BQ1B log_age log_L Q5 Q6, robust
local m1=1-F(e(df_m),e(df_r),e(F) )
outreg2 using "AppendixTable02.dta", dta append ctitle("T1") dec(2) addstat("F-stat",e(F),"pval",`m1')

reg treatmentN3 i.IndustryN male i.BQ3 BQ1A BQ1B log_age log_L Q5 Q6, robust
local m1=1-F(e(df_m),e(df_r),e(F) )
outreg2 using "AppendixTable02.dta", dta append ctitle("T2") dec(2) addstat("F-stat",e(F),"pval",`m1')

reg treatmentN4 i.IndustryN male i.BQ3 BQ1A BQ1B log_age log_L Q5 Q6, robust
local m1=1-F(e(df_m),e(df_r),e(F) )
outreg2 using "AppendixTable02.dta", dta append ctitle("T3") dec(2) addstat("F-stat",e(F),"pval",`m1')


