clear all
set more off

global svfoldp "ADDPATH\"
global svfoldpOUT "ADDPATH\outregs\"
global svfoldpDO "ADDPATH\do_files\"
global svfoldpWF "ADDPATH\workfiles\"
global svfoldpFIG "ADDPATH\figures\"

cd "${svfoldpWF}"

use step003_merged_data, clear

cd "${svfoldpOUT}"


forvalues i=2(1)4 {
	gen T`i'=(treatmentN==`i') if treatmentN~=.
}

gen log_L=log(Q2A)

local controls0 = " i.Industry male i.BQ3 BQ1A BQ1B log_age log_L Q5 Q6 "
* local controls0= "" 
***=============================================================================
***				GDP
***=============================================================================

gen mean_T1= egdp_mean_bt
forvalues i=2(1)4 {
	gen mean_T`i'=(treatmentN==`i')*egdp_mean_bt if treatmentN~=.
}

gen std_T1= egdp_std_bt
forvalues i=2(1)4 {
	gen std_T`i'=(treatmentN==`i')*egdp_std_bt if treatmentN~=.
}


gen var_T1= egdp_std_bt^2
forvalues i=2(1)4 {
	gen var_T`i'=(treatmentN==`i')*egdp_std_bt^2 if treatmentN~=.
}


xi: reg egdp_mean_pt T2 T3 T4 mean_T1 mean_T2 mean_T3 mean_T4 `controls0', robust
outreg2 using "appendix_table03.dta", dta replace ctitle("GDP mean") dec(2)

xi: reg egdp_var_pt T2 T3 T4 var_T1 var_T2 var_T3 var_T4 `controls0', robust
outreg2 using "appendix_table03.dta", dta append ctitle("GDP var") dec(2)



***=============================================================================
***				Inflation
***=============================================================================

drop mean_T?
drop std_T?
drop var_T?

gen mean_T1= epi_mean_bt
forvalues i=2(1)4 {
	gen mean_T`i'=(treatmentN==`i')*epi_mean_bt if treatmentN~=.
}

gen std_T1= epi_std_bt
forvalues i=2(1)4 {
	gen std_T`i'=(treatmentN==`i')*epi_std_bt if treatmentN~=.
}

gen var_T1= epi_std_bt^2
forvalues i=2(1)4 {
	gen var_T`i'=(treatmentN==`i')*epi_std_bt^2 ^2 if treatmentN~=.
}



xi: reg epi_mean_pt T2 T3 T4 mean_T1 mean_T2 mean_T3 mean_T4 `controls0', robust
outreg2 using "appendix_table03.dta", dta append ctitle("Inflation mean") dec(2)

xi: reg epi_var_pt T2 T3 T4 var_T1 var_T2 var_T3 var_T4  `controls0', robust
outreg2 using "appendix_table03.dta", dta append ctitle("Inflation var") dec(2)


***=============================================================================
***				Sales
***=============================================================================

drop mean_T?
drop std_T?
drop var_T?

gen mean_T1= esales_mean_bt
forvalues i=2(1)4 {
	gen mean_T`i'=(treatmentN==`i')*esales_mean_bt if treatmentN~=.
}

gen std_T1= esales_std_bt
forvalues i=2(1)4 {
	gen std_T`i'=(treatmentN==`i')*esales_std_bt if treatmentN~=.
}

gen var_T1= esales_std_bt^2
forvalues i=2(1)4 {
	gen var_T`i'=(treatmentN==`i')*esales_std_bt^2 if treatmentN~=.
}


xi: reg esales_mean_pt T2 T3 T4 mean_T1 mean_T2 mean_T3 mean_T4 `controls0', robust
outreg2 using "appendix_table03.dta", dta append ctitle("Sales mean") dec(2)


xi: reg esales_var_pt T2 T3 T4 var_T1 var_T2 var_T3 var_T4 `controls0', robust
outreg2 using "appendix_table03.dta", dta append ctitle("Sales var") dec(2)

