clear all
set more off

global svfoldp "ADDPATH\"
global svfoldpOUT "ADDPATH\outregs\"
global svfoldpDO "ADDPATH\do_files\"
global svfoldpWF "ADDPATH\workfiles\"
global svfoldpFIG "ADDPATH\figures\"

cd "${svfoldpWF}"
use step003_merged_data, clear


	

****============================================================================
***			quantitative vs. qualitative uncertainty
****============================================================================

	
*** follow-up wave

tabstat w2_egdp_mean_pt w2_epi_mean_pt w2_esales_mean_pt w2_egdp_var_pt  w2_epi_var_pt  w2_esales_var_pt if treatmentN==1, by(CQ1) stat(N mean sd)
tab CQ1 if w2_egdp_var_pt~=.

label define lbl_CQ2 1 "Not uncertain at all (1.4%)" ///
					 2 "Not particularly uncertain (5.6%)" ///
					 3 "Somewhat uncertain (19.2%)" ///
					 4 "Quite uncertain (18.4%)" ///
					 5 "Extremely uncertain (55.4%)"
					 
label values CQ1 lbl_CQ2

graph bar (mean) w2_egdp_var_pt w2_epi_var_pt w2_esales_var_pt if treatmentN==1, ///
	over(CQ1, label(angle(20) labsize(small))) ///
	graphregion(color(white)) bgcolor(white) ///
	bar(1, fcolor(white)) bar(2, fcolor(red) fintensity(33))  bar(3, fcolor(blue) fintensity(100)) ///
	ytitle("Mean uncertainty (variance)") ///
	intensity(30) ///
	legend(label(1 "GDP growth") label(2 "Inflation") label(3 "Sales growth") rows(3) ring(0) position(11)) ///
	name(AppendixFigure02, replace)
	


	
	