clear all
set more off

global svfoldp "ADDPATH\"
global svfoldpOUT "ADDPATH\outregs\"
global svfoldpDO "ADDPATH\do_files\"
global svfoldpWF "ADDPATH\workfiles\"
global svfoldpFIG "ADDPATH\figures\"

cd "${svfoldpWF}"


use step003_merged_data, clear

***=============================================================================
***				GDP
***=============================================================================
gen egdp_std_bt2=egdp_std_bt^2
gen egdp_std_pt2=egdp_std_pt^2
	
binscatter egdp_std_pt2 egdp_std_bt2, ///
	by(treatmentN) msymbol(oh t sh dh) ///
	legend(off) ///
	xtitle("Prior uncertainty")  ///
	ytitle("Posterior uncertainty") ///
	graphregion(color(white)) bgcolor(white) ///
	title("Panel A: GDP") ///	
	name(fig2B1, replace)
	
	
			
		
***=============================================================================
***				Inflation
***=============================================================================
gen epi_std_pt2=epi_std_pt^2
gen epi_std_bt2=epi_std_bt^2


binscatter epi_std_pt2 epi_std_bt2, ///
	by(treatmentN) msymbol(oh t sh dh) ///
	legend(off) ///
	xtitle("Prior uncertainty")  ///
	ytitle("Posterior uncertainty") ///
	graphregion(color(white)) bgcolor(white) ///
	name(fig1B1, replace) ///
	title("Panel B. Inflation")
	
	
	
***=============================================================================
***				sales
***=============================================================================
gen esales_std_bt2=esales_std_bt^2
gen esales_std_pt2=esales_std_pt^2
	
binscatter esales_std_pt2 esales_std_bt2, ///
	by(treatmentN) msymbol(oh t sh dh) ///
	legend(label(1 "Control") label(2 "Mean treatment") label(3 "Uncertainty treatment") label(4 "Mean and Uncert. treatment") rows(4) ring(0) position(11) rowgap(0.2) size(small)) ///
	graphregion(color(white)) bgcolor(white) ///
	xtitle("Prior uncertainty")  ///
	ytitle("Posterior uncertainty") ///
	name(fig3B1, replace) ///
	title("Panel C: Sales growth")
	
	
	
	
***=============================================================================
***				combine
***=============================================================================

graph combine fig2B1 fig1B1  fig3B1 , ///
	rows(3) xsize(18) ysize(32) imargin(tiny) ///
	graphregion(color(white))  ///
	name(AppendixFigure03, replace)		
